Subject: Re: [PATCH 1/2] services: shepherd: Provide the right #:kernel-log-file on the Hurd.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 10 Jun 2025 14:46:44 +0200

Hi Yelninei,

[email-masked] writes:

> I tried your patch that you sent to bug-hurd but I still end up with D_WOULD_BLOCK at the end. Was it working for you?

No no, it wasn’t, but I haven’t taken the time to dig further.

> As pointed out by Samuel on bug-hurd the initial "if (err) return err" looks weird. I tried removing it and at the end of /dev/klog it died with SIGLOST.

[...]

> and my example now fails with EAGAIN.

I’m not sure what example but EAGAIN is fine, it’s what we want.

Thanks for investigating!

Ludo’.